Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1718878 - Hard pruning tests do not check layer links
Summary: Hard pruning tests do not check layer links
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.2.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-10 13:22 UTC by Adam Kaplan
Modified: 2019-10-16 06:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:31:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 23658 0 None None None 2019-08-23 08:23:32 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:32:10 UTC

Description Adam Kaplan 2019-06-10 13:22:34 UTC
Hard pruning tests currently do not verify if we've deleted layer links. One of two issues exist:

1. We've implemented this feature, but forgot to enable the tests.
2. We have not implemented layer link deletion.

This appears to have been an issue since we released hard pruning in 3.7.

Additional Info: https://github.com/openshift/origin/pull/23091#discussion_r291994333

Comment 5 errata-xmlrpc 2019-10-16 06:31:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.